var mergeAllOf = require('json-schema-merge-allof');



schema = {
  "allOf": [
    {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int32",
              "readOnly": true,
            },
            "href": {
              "type": "string",
              "readOnly": true,
              "example": ""
            }
          }
        },
        {
          "type": "object",
          "properties": {
            "language": {
              "type": "string",
              "description": "ISO 639-1 language code (two letters)"
            },
            "effective": {
              "type": "boolean",
            },
            "granted_at": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            },
            "revoked_at": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            },
            "created_at": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          }
        }
      ]
    },
    {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "href": {
              "type": "string",
              "nullable": true,
              "example": "foo"
            }
          }
        },
        {
          "type": "object",
          "properties": {
            "first": {
              "type": "object",
              "nullable": true,
              "properties": {
                "href": {
                  "type": "string",
                }
              }
            },
            "prev": {
              "type": "object",
              "nullable": true,
              "properties": {
                "href": {
                  "type": "string",
                }
              }
            },
            "next": {
              "type": "object",
              "nullable": true,
              "properties": {
                "href": {
                  "type": "string",
                }
              }
            }
          }
        }
      ]
    },
    {
      "type": "object",
      "properties": {
        "meta": {
          "type": "object",
          "properties": {
            "response_at": {
              "type": "string",
              "format": "date-time",
            }
          }
        }
      }
    }
  ]
};

console.log(schema);
var schema = mergeAllOf(JSON.parse(JSON.stringify(schema)));
console.log(schema);
